/************************************************************************
 **
 **  @file   dialogs.h
 **  @author Roman Telezhynskyi <dismine(at)gmail.com>
 **  @date   16 6, 2015
 **
 **  @brief
 **  @copyright
 **  This source code is part of the Valentina project, a pattern making
 **  program, whose allow create and modeling patterns of clothing.
 **  Copyright (C) 2015 Valentina project
 **  <https://gitlab.com/smart-pattern/valentina> All Rights Reserved.
 **
 **  Valentina is free software: you can redistribute it and/or modify
 **  it under the terms of the GNU General Public License as published by
 **  the Free Software Foundation, either version 3 of the License, or
 **  (at your option) any later version.
 **
 **  Valentina is distributed in the hope that it will be useful,
 **  but WITHOUT ANY WARRANTY; without even the implied warranty of
 **  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 **  GNU General Public License for more details.
 **
 **  You should have received a copy of the GNU General Public License
 **  along with Valentina.  If not, see <http://www.gnu.org/licenses/>.
 **
 *************************************************************************/

#ifndef TOOLDIALOGS_H
#define TOOLDIALOGS_H

#include "tools/dialogalongline.h"
#include "tools/dialogarc.h"
#include "tools/dialogarcwithlength.h"
#include "tools/dialogbisector.h"
#include "tools/piece/dialogseamallowance.h"
#include "tools/dialogendline.h"
#include "tools/dialogline.h"
#include "tools/dialoglineintersect.h"
#include "tools/dialognormal.h"
#include "tools/dialogpointofcontact.h"
#include "tools/dialogshoulderpoint.h"
#include "tools/dialogsinglepoint.h"
#include "tools/dialogspline.h"
#include "tools/dialogcubicbezier.h"
#include "tools/dialogsplinepath.h"
#include "tools/dialogcubicbezierpath.h"
#include "tools/dialogheight.h"
#include "tools/dialogcutarc.h"
#include "tools/dialogcutspline.h"
#include "tools/dialogcutsplinepath.h"
#include "tools/dialoguniondetails.h"
#include "tools/dialogtriangle.h"
#include "tools/dialogpointofintersection.h"
#include "tools/dialoglineintersectaxis.h"
#include "tools/dialogcurveintersectaxis.h"
#include "tools/dialogpointofintersectionarcs.h"
#include "tools/dialogpointofintersectioncircles.h"
#include "tools/dialogpointofintersectioncurves.h"
#include "tools/dialogpointfromcircleandtangent.h"
#include "tools/dialogpointfromarcandtangent.h"
#include "tools/dialogtruedarts.h"
#include "tools/dialoggroup.h"
#include "tools/dialogrotation.h"
#include "tools/dialogflippingbyline.h"
#include "tools/dialogflippingbyaxis.h"
#include "tools/dialogmove.h"
#include "tools/dialogellipticalarc.h"
#include "tools/piece/dialogpiecepath.h"
#include "tools/piece/dialogpin.h"
#include "tools/piece/dialoginsertnode.h"
#include "tools/piece/dialogplacelabel.h"
#include "tools/piece/dialogduplicatedetail.h"

#include "support/dialogeditwrongformula.h"
#include "support/dialogundo.h"

#endif // TOOLDIALOGS_H
